RIO_GET_SWPINFO_I(9)

NAME
rio_get_swpinfo_inport - Gets the ingress port number

SYNOPSIS

u8 rio_get_swpinfo_inport (struct rio_mport * mport, u16 destid, u8 hopcount);

ARGUMENTS

mport
    Master port to send transaction

destid
    Destination ID associated with the switch

hopcount
    Number of hops to the device

DESCRIPTION

Returns port number being used to access the switch device.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.